Package org.apache.sling.sitemap.impl.builder.extensions

## Class ExtensionFactory

- java.lang.Object
- - org.apache.sling.sitemap.impl.builder.extensions.ExtensionFactory

    public class ExtensionFactory
    extends Object

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getLocalName()`
`String` `getNamespace()`
`String` `getPrefix()`
`boolean` `isEmptyTag()`
`@NotNull AbstractExtension` `newExtension()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### newExtension

    @NotNull
    public @NotNull AbstractExtension newExtension()

#### getNamespace

    public String getNamespace()

#### getPrefix

    public String getPrefix()

#### getLocalName

    public String getLocalName()

#### isEmptyTag

    public boolean isEmptyTag()